# Modifiers

enum Modifiers : Enum < Modifiers >

Modifiers for Java reflection.

#### Parameters

mod

the modifier bitmask.

## Entries

PUBLIC
Link copied to clipboard
PUBLIC
PRIVATE
Link copied to clipboard
PRIVATE
PROTECTED
Link copied to clipboard
PROTECTED
STATIC
Link copied to clipboard
STATIC
FINAL
Link copied to clipboard
FINAL
SYNCHRONIZED
Link copied to clipboard
SYNCHRONIZED
VOLATILE
Link copied to clipboard
VOLATILE
TRANSIENT
Link copied to clipboard
TRANSIENT
NATIVE
Link copied to clipboard
NATIVE
INTERFACE
Link copied to clipboard
INTERFACE
ABSTRACT
Link copied to clipboard
ABSTRACT
STRICT
Link copied to clipboard
STRICT

## Types

Companion
Link copied to clipboard
object Companion

## Properties

entries
Link copied to clipboard
val entries : EnumEntries < Modifiers >

Returns a representation of an immutable list of all enum entries, in the order they're declared.

name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int

## Functions

matches
Link copied to clipboard
fun matches (modifier: Int ): Boolean

Check if the modifier matches the given modifier.

valueOf
Link copied to clipboard
fun valueOf (value: String ): Modifiers

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < Modifiers >

Returns an array containing the constants of this enum type, in the order they're declared.